summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--profiles/package.mask13
-rw-r--r--sys-cluster/globus-build/ChangeLog34
-rw-r--r--sys-cluster/globus-build/Manifest5
-rw-r--r--sys-cluster/globus-build/files/21globus-build7
-rw-r--r--sys-cluster/globus-build/globus-build-4.2.1.ebuild75
-rw-r--r--sys-cluster/globus-build/metadata.xml8
-rw-r--r--sys-cluster/globus/ChangeLog35
-rw-r--r--sys-cluster/globus/Manifest8
-rw-r--r--sys-cluster/globus/files/22globus8
-rw-r--r--sys-cluster/globus/files/gaa_test.patch11
-rw-r--r--sys-cluster/globus/files/globus-init.d66
-rw-r--r--sys-cluster/globus/files/gwd_open.patch11
-rw-r--r--sys-cluster/globus/globus-4.2.1.ebuild181
-rw-r--r--sys-cluster/globus/metadata.xml30
14 files changed, 0 insertions, 492 deletions
diff --git a/profiles/package.mask b/profiles/package.mask
index cca2bcbf7..c02ba4b80 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -34,13 +34,6 @@ media-video/palantir-client
net-firewall/tuxguardian
x11-wm/qlwm:3
-# John (EBo) David <ebo@users.sourceforge.net> (1 Feb 2010)
-# Globus is being replaced by Nimbus, and I do not expect to have time
-# to maintain this as my research is heading elsewhere. It will be
-# removed in 30 days unless a new maintainer is found.
-sys-cluster/globus
-sys-cluster/globus-build
-
# Thomas Sachau <tommy@gentoo.org> (20 Nov 2009)
# masked because of masked dependency
# app-misc/tracker (see main tree fro details)
@@ -53,12 +46,6 @@ gnome-extra/paperbox
# masking until this is fixed
www-servers/webcit
-# Thomas Sachau <tommy@gentoo.org> (20 Aug 2009)
-# Globus packages need some more work, globus-build does include different per-modules
-# masking them until they are ready
-sys-cluster/globus-build
-sys-cluster/globus
-
# Petr Pisar <petr.pisar@atlas.cz> (18 May 2009)
# Moved to lisp overlay (Bug #261206)
<=dev-scheme/schemik-1.2.34.1
diff --git a/sys-cluster/globus-build/ChangeLog b/sys-cluster/globus-build/ChangeLog
deleted file mode 100644
index 37696ab39..000000000
--- a/sys-cluster/globus-build/ChangeLog
+++ /dev/null
@@ -1,34 +0,0 @@
-# ChangeLog for sys-cluster/globus-build
-# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: $
-
- 01 Feb 2010; John (EBo) David <ebo@users.sourceforge.net> ChangeLog:
- Globus is being replaced by Nimbus, and I do not expect to have time to
- maintain this as my research is heading elsewhere. It will be removed in 30
- days unless a new maintainer is found.
-
- 19 Aug 2009; Thomas Sachau (Tommy[D]) <tommy@gentoo.org>
- globus-build-4.2.1.ebuild:
- Use mv -f, readd pkg_postrm with workaround
-
- 19 Aug 2009; Thomas Sachau (Tommy[D]) <tommy@gentoo.org>
- globus-build-4.2.1.ebuild, metadata.xml:
- Even more cleanup, useflags dont seem to be used for globus-build
-
- 19 Aug 2009; Thomas Sachau (Tommy[D]) <tommy@gentoo.org>
- globus-build-4.2.1.ebuild:
- Drop java eclasses, drop most unneeded dependencies, use cp instead of mv
-
- 19 Aug 2009; Michał Górny (sedzimir) <gentoo@mgorny.alt.pl>
- globus-build-4.2.1.ebuild:
- Remove postrm, it's broken currently, it seems more related to
- sys-cluster/globus itself and it's already handled there.
-
- 18 Aug 2009; Thomas Sachau (Tommy[D]) <tommy@gentoo.org> metadata.xml:
- Fix metadata.xml
-
- 15 Aug 2009; John (EBo) David <ebo@users.sourceforge.net>
- +files/21globus-build, +globus-build-4.2.1.ebuild, +metadata.xml:
- New Ebuild for bug 51149 thanks to Tommy[D], sedzimir and the people over at
- sunrise
-
diff --git a/sys-cluster/globus-build/Manifest b/sys-cluster/globus-build/Manifest
deleted file mode 100644
index 94ed4d47a..000000000
--- a/sys-cluster/globus-build/Manifest
+++ /dev/null
@@ -1,5 +0,0 @@
-AUX 21globus-build 187 RMD160 2c9f1bd0051f19721a9fc43024cbbd920c8bc965 SHA1 55f53f00e674631402ed7cb90813de585360aa26 SHA256 21b2c26cc49ea4808918b1f6bb253e251ed6a228b6fab93996835ff9eadda741
-DIST gt4.2.1-all-source-installer.tar.bz2 111057292 RMD160 a8ffb66c47c0221acdf17256e1495e613417226e SHA1 33c6868189a6652a8714abe9ad8fa2cc481dd1d7 SHA256 f22deb1d47556e9c4be8ed556f497e6cded641c41f103663d7f499f9175d3705
-EBUILD globus-build-4.2.1.ebuild 1820 RMD160 2026836e9616392fb9def6814a827dd0be57fb48 SHA1 6cf289b378f35ba1df2b94eba27687b6f652ebd1 SHA256 fd41be6f407dbb12be8756cafc728ad5cebd26f3b8fbea6c5d857a96e109fb1d
-MISC ChangeLog 1391 RMD160 2c0adca4374357b846cfb63d76ccde01d33e85b9 SHA1 2d9ec265d32c0f5a0a6946a3e0d75d9bc95f9db9 SHA256 1636510b0db4f1144743b926be8628283f73b3493afc17bbc8e1cec54a59212b
-MISC metadata.xml 266 RMD160 5ccd2d6d69833c312dc77e83d2f108c44eb5ddad SHA1 efe083fce0b0a7f026bb61183ad2d4d3b0a6dc2a SHA256 59ae8a388bcec5eeffcd1e2ebf1b15099063fb9b35009a43d83988a46ff48b1e
diff --git a/sys-cluster/globus-build/files/21globus-build b/sys-cluster/globus-build/files/21globus-build
deleted file mode 100644
index 4b9e1bf1f..000000000
--- a/sys-cluster/globus-build/files/21globus-build
+++ /dev/null
@@ -1,7 +0,0 @@
-GPT_LOCATION=%%GLOBUS%%
-PATH=%%GLOBUS%%/sbin:%%GLOBUS%%/bin
-LDPATH=%%GLOBUS%%/lib
-DYLD_LIBRARY_PATH=%%GLOBUS%%/lib
-MANPATH=%%GLOBUS%%/man
-SHLIB_PATH=%%GLOBUS%%/lib
-LIBPATH=%%GLOBUS%%/lib
diff --git a/sys-cluster/globus-build/globus-build-4.2.1.ebuild b/sys-cluster/globus-build/globus-build-4.2.1.ebuild
deleted file mode 100644
index f6b220682..000000000
--- a/sys-cluster/globus-build/globus-build-4.2.1.ebuild
+++ /dev/null
@@ -1,75 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-# The globus-build tools do not require java to be installed, BUT
-# configure still expects it...
-inherit eutils
-
-MY_P="gt${PV}-all-source-installer"
-
-DESCRIPTION="The Globus Toolkit Build Tools"
-HOMEPAGE="http://www.globus.org/toolkit/"
-
-SRC_URI="http://www-unix.globus.org/ftppub/gt${PV:0:1}/${PV}/installers/src/${MY_P}.tar.bz2"
-
-LICENSE="GTPL"
-
-SLOT="4"
-KEYWORDS="~x86"
-
-IUSE=""
-
-RDEPEND="dev-lang/perl"
-
-DEPEND=${RDEPEND}
-
-S="${WORKDIR}/${MY_P}"
-
-GLOBUS="/opt/globus${PV:0:1}"
-
-pkg_setup() {
- enewgroup globus
- enewuser globus -1 -1 /var/globus globus
-}
-
-src_prepare() {
- mkdir "${S}"/build || die "making build directory failed"
-
- sed -e "s|%%GLOBUS%%|${GLOBUS}|" \
- "${FILESDIR}"/21globus-build > "${T}"/21globus-build \
- || die "sed envfile failed"
-}
-
-src_configure() {
- econf --prefix="${S}/build/${GLOBUS}" \
- --with-gptlocation="${S}/build/${GLOBUS}"
-}
-
-src_compile() {
- emake gpt || die "compile failed"
-}
-
-src_install() {
- einfo "Hand installing..."
- # The supplied Makefile install violates standard practices. The
- # following simulates a "make DESTDIR=${D}" and moves the built
- # programs/files into ${D}
- mv -f "${S}"/build/* "${D}/" || die "mv failed"
-
- doenvd "${T}"/21globus-build || die "install env.d/globus-build died"
-
- einfo "Updating ownership and permissions..."
- fowners -R globus:globus * || die "fowners failed"
-}
-
-pkg_postrm() {
- if ! [[ -e /opt/globus4/sbin/gpt-build ]] && ! has_version sys-cluster/globus ; then
- ewarn "Globus builds and installs files into ${GLOBUS}"
- ewarn "after package installation. After uninstalling"
- ewarn "you may want to manually remove all or part of the Globus"
- ewarn "installation directory ${GLOBUS}."
- fi
-}
diff --git a/sys-cluster/globus-build/metadata.xml b/sys-cluster/globus-build/metadata.xml
deleted file mode 100644
index bedccefb2..000000000
--- a/sys-cluster/globus-build/metadata.xml
+++ /dev/null
@@ -1,8 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<herd>maintainer-wanted</herd>
-<longdescription>
- The Globus Toolkit - grid middleware package build tools
-</longdescription>
-</pkgmetadata>
diff --git a/sys-cluster/globus/ChangeLog b/sys-cluster/globus/ChangeLog
deleted file mode 100644
index 7d4c3a0e5..000000000
--- a/sys-cluster/globus/ChangeLog
+++ /dev/null
@@ -1,35 +0,0 @@
-# ChangeLog for sys-cluster/globus
-# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: $
-
- 01 Feb 2010; John (EBo) David <ebo@users.sourceforge.net> ChangeLog:
- Globus is being replaced by Nimbus, and I do not expect to have time to
- maintain this as my research is heading elsewhere. It will be removed in 30
- days unless a new maintainer is found.
-
- 19 Aug 2009; Thomas Sachau (Tommy[D]) <tommy@gentoo.org>
- globus-4.2.1.ebuild:
- Adjust pkg_postrm
-
- 19 Aug 2009; Michał Górny (sedzimir) <gentoo@mgorny.alt.pl>
- globus-4.2.1.ebuild:
- Support ${ROOT} in postrm. Use relative symlink to gpt/packages to make it
- root-independent.
-
- 18 Aug 2009; Thomas Sachau (Tommy[D]) <tommy@gentoo.org>
- globus-4.2.1.ebuild:
- Add workaround for pkg_postrm
-
- 18 Aug 2009; Thomas Sachau (Tommy[D]) <tommy@gentoo.org> metadata.xml:
- Fix metadata.xml
-
- 15 Aug 2009; John (EBo) David <ebo@users.sourceforge.net> files/22globus,
- files/globus-init.d:
- updated globus init.d script
-
- 15 Aug 2009; John (EBo) David <ebo@users.sourceforge.net> +files/22globus,
- +globus-4.2.1.ebuild, +files/gaa_test.patch, +files/globus-init.d,
- +files/gwd_open.patch, +metadata.xml:
- New Ebuild for bug 51149 thanks to Tommy[D], sedzimir and the people over at
- sunrise
-
diff --git a/sys-cluster/globus/Manifest b/sys-cluster/globus/Manifest
deleted file mode 100644
index b0157e144..000000000
--- a/sys-cluster/globus/Manifest
+++ /dev/null
@@ -1,8 +0,0 @@
-AUX 22globus 214 RMD160 769ea0390421d4b5553deefd46346853d8c2478b SHA1 4e95c76b3c2486039d03029a2442bac3fb37ea74 SHA256 36137e1893bc564740e0b4040784ca1ee1607d53bbd3cb65430b7d3b761149be
-AUX gaa_test.patch 596 RMD160 a35a8600e546e78b0abd19feab2d918c83124eb9 SHA1 3e6e57a4a0557e01d0423ed83a423d5b04bc7771 SHA256 d781a97e961c821e4059e9a548d2ec18a7d51d1239e12f10e446bb00126b2e9f
-AUX globus-init.d 1566 RMD160 53c449256203f44238c0561bfa9e09e2392cfc98 SHA1 bab5245e5942753611c2d80107e2219a787c3849 SHA256 e4d216ffcb511b31935cee3076c2b0e7045da924e19074257302a2cd1dbd837e
-AUX gwd_open.patch 470 RMD160 a561456c15e6e6b01cd6d1291da0e76dcf3bca32 SHA1 c846e281e0251490c4f0b0fb7e4d8b4c901d6277 SHA256 95e66415b01f6971379c07447d7a25875f7f9261381f26730323d92fd465b2a3
-DIST gt4.2.1-all-source-installer.tar.bz2 111057292 RMD160 a8ffb66c47c0221acdf17256e1495e613417226e SHA1 33c6868189a6652a8714abe9ad8fa2cc481dd1d7 SHA256 f22deb1d47556e9c4be8ed556f497e6cded641c41f103663d7f499f9175d3705
-EBUILD globus-4.2.1.ebuild 6473 RMD160 321f3bfd7f1c6f9f32388de62d08808b4ff2392c SHA1 2e7f8754f49c588b16798d5b6406424641afe473 SHA256 509570b8e43c9f1691ec041b43a2a94fd40c62c08343527028ad5b9597682889
-MISC ChangeLog 1287 RMD160 67a621cb657f6ddff0968e94c7edab6ee7a522d4 SHA1 cd13d7a7eea3aebfcf8e042e1e480769d2d71dc4 SHA256 696cb4f22848d37452e64b225b1a154106b088dbf73104e3c7b1f0bc4c797992
-MISC metadata.xml 1334 RMD160 ec788b689c06f2ac53d347afcaae694d0a27df6a SHA1 57d1713b5491e5fe02b59a16575e4b59fe67084a SHA256 20524ea91e4b9d650432ceeebd5fd21d3b450fcfad6351375209737273c29299
diff --git a/sys-cluster/globus/files/22globus b/sys-cluster/globus/files/22globus
deleted file mode 100644
index 4022938bf..000000000
--- a/sys-cluster/globus/files/22globus
+++ /dev/null
@@ -1,8 +0,0 @@
-GLOBUS_LOCATION=%%GLOBUS%%
-GPT_LOCATION=%%GLOBUS%%
-PATH=%%GLOBUS%%/sbin:%%GLOBUS%%/bin
-LDPATH=%%GLOBUS%%/lib
-DYLD_LIBRARY_PATH=%%GLOBUS%%/lib
-MANPATH=%%GLOBUS%%/man
-SHLIB_PATH=%%GLOBUS%%/lib
-LIBPATH=%%GLOBUS%%/lib
diff --git a/sys-cluster/globus/files/gaa_test.patch b/sys-cluster/globus/files/gaa_test.patch
deleted file mode 100644
index c5b68388b..000000000
--- a/sys-cluster/globus/files/gaa_test.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./source-trees/gsi/gaa_callbacks/gaa_simple/test/Makefile.in 2009-08-13 07:22:15.882621388 -0600
-+++ ./source-trees/gsi/gaa_callbacks/gaa_simple/test/Makefile.in 2009-08-13 07:22:49.067486988 -0600
-@@ -68,7 +68,7 @@
- gaa_test_with_assertion_file_OBJECTS = \
- $(am_gaa_test_with_assertion_file_OBJECTS)
- gaa_test_with_assertion_file_DEPENDENCIES = $(am__DEPENDENCIES_1)
--DEFAULT_INCLUDES = -I. -I$(srcdir)
-+DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(srcdir)/../../gaa_gss_generic/source/
- depcomp =
- am__depfiles_maybe =
- COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
diff --git a/sys-cluster/globus/files/globus-init.d b/sys-cluster/globus/files/globus-init.d
deleted file mode 100644
index ba04153c5..000000000
--- a/sys-cluster/globus/files/globus-init.d
+++ /dev/null
@@ -1,66 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-GLOBUS_LOCATION=/opt/globus4
-
-source "${GLOBUS_LOCATION}"/etc/globus-user-env.sh
-
-depend() {
- after localmount netmount nfsmount dns
- need net
-}
-
-PIDFILE="/var/run/globus.pid"
-
-checkconfig() {
-# FIXME: find an appropriate file -- like the certificates or something
-# if [ ! -e /etc/SOME_FILE... ] ; then
-# eerror "You need an SOME_FILE file to run globus"
-# return 1
-# fi
-
- # verify presence of server binary
- if ! [ -x "${GLOBUS_LOCATION}/bin/globus-start-container" ]; then
- eerror "Could not find executable ${GLOBUS_LOCATION}/bin/globus-start-container"
- return 1
- fi
-}
-
-
-start() {
- checkconfig || return 1
-
- ebegin "Starting Globus WS Container"
- start-stop-daemon --start --quiet --pidfile "${PIDFILE}" \
- --exec "${GLOBUS_LOCATION}"/bin/globus-start-container -- \
- ${CONTAINER_OPTS}
-
-# --stdout "${LOG_FILE}" \
-
- eend $?
-}
-
-stop() {
- ebegin "Stopping Globus WS Container"
-
- local container ret
- container="$(mktemp -d)"
-
- start-stop-daemon --stop --quiet --pidfile "${PIDFILE}" \
- --stdout "${LOG_FILE}" \
- --exec "${GLOBUS_LOCATION}"/bin/grid-proxy-init -- \
- -cert /etc/grid-security/containercert.pem \
- -key /etc/grid-security/containerkey.pem \
- -out "${container}"/containerproxy.pem
-
- X509_USER_PROXY=${container}/containerproxy.pem \
- "${GLOBUS_LOCATION}"/bin/globus-stop-container
-
- ret = $? # cache globus-stop-container's return code.
-
- rm -rf "${container}"
-
- eend ${ret}
-}
diff --git a/sys-cluster/globus/files/gwd_open.patch b/sys-cluster/globus/files/gwd_open.patch
deleted file mode 100644
index 920ac11db..000000000
--- a/sys-cluster/globus/files/gwd_open.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./source-trees/gridway/src/gwd/gwd.c.~1.9.2.2.~ 2008-04-01 11:59:01.000000000 -0600
-+++ ./source-trees/gridway/src/gwd/gwd.c 2009-08-08 22:14:25.490391881 -0600
-@@ -138,7 +138,7 @@
- /* Close stds, we no longer need them */
- /* ----------------------------------------------------------- */
-
-- fd = open("/dev/null", O_RDWR|O_CREAT);
-+ fd = open("/dev/null", O_RDWR|O_CREAT, 0640);
-
- dup2(fd,0);
- dup2(fd,1);
diff --git a/sys-cluster/globus/globus-4.2.1.ebuild b/sys-cluster/globus/globus-4.2.1.ebuild
deleted file mode 100644
index a9bcdb426..000000000
--- a/sys-cluster/globus/globus-4.2.1.ebuild
+++ /dev/null
@@ -1,181 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-inherit eutils java-pkg-2 java-ant-2
-
-MY_P="gt${PV}-all-source-installer"
-
-DESCRIPTION="The Globus Toolkit - grid middleware package"
-HOMEPAGE="http://www.globus.org/toolkit/"
-
-SRC_URI="http://www-unix.globus.org/ftppub/gt${PV:0:1}/${PV}/installers/src/${MY_P}.tar.bz2"
-
-LICENSE="GTPL"
-
-SLOT="4"
-KEYWORDS="~x86"
-
-# The original build system does not build the following USE
-# controlled components by default (i18n prews wsjava wsc wsdel wsrft
-# wscas wsctests). You may turn them off as you wish...
-IUSE="condor +gridftp +gridway i18n iodbc lsf odbc pbs prews
- +prews-test +prewsgram +rls wsc wscas wsctests wsdel
- +wsgram wsjava +wsmds wsrft +wstests"
-
-COMMON_DEP="
- dev-java/ant
- sys-libs/zlib
- dev-lang/perl
- app-admin/sudo
- dev-libs/openssl
- dev-db/postgresql
- dev-perl/XML-Parser
- virtual/mpi
- =sys-cluster/globus-build-${PV}
- iodbc? ( dev-db/libiodbc )
- odbc? ( !iodbc? ( dev-db/unixODBC ) )"
-
-DEPEND=">=virtual/jdk-1.5
- ${COMMON_DEP}"
-
-RDEPEND=">=virtual/jre-1.5
- ${COMMON_DEP}"
-
-S="${WORKDIR}/${MY_P}"
-
-GLOBUS="/opt/globus${PV:0:1}"
-
-src_prepare() {
- mkdir "${S}"/build || die "making build directory failed"
-
- # Do not build the globus-build tools by default (in this case it is
- # supplied with sci-physics/globus-build)
- sed -e "s|: gpt|:|" \
- -i Makefile.in || die "sed Makefile.in failed"
-
- # Fixing RLS so it can find sql.h etc..."
- sed -e 's?DEFAULT_INCLUDES = -I.?& -I/usr/include/iodbc?' \
- -i source-trees/replica/rls/server/Makefile.in \
- || die "sed RLS Makefile.in failed"
-
- # apply patches
- epatch "${FILESDIR}"/gwd_open.patch
- epatch "${FILESDIR}"/gaa_test.patch
-
- sed -e "s|%%GLOBUS%%|${GLOBUS}|" \
- "${FILESDIR}"/22globus > "${T}"/22globus \
- || die "sed envfile failed"
-}
-
-src_configure() {
- local myconfig
-
- # should we use odbc with iodbc or unixodbc
- if use iodbc ; then
- myconfig="--with-iodbc-libs=$(iodbc-config --prefix)/lib"
- myconfig="${myconfig} --with-iodbc-includes=$(iodbc-config --prefix)/include/iodbc"
- elif use odbc ; then
- myconfig="--with-unixodbc-libs=/usr/lib"
- myconfig="${myconfig} --with-unixodbc-includes=/usr/include/unixodbc"
- fi
-
- java-pkg_switch-vm
-
- econf --prefix="${S}/build/${GLOBUS}" \
- --with-gptlocation=${GLOBUS} \
- $(use_enable condor wsgram-condor) \
- $(use_enable lsf wsgram-lsf) \
- $(use_enable pbs wsgram-pbs) ${myconfig}
-}
-
-src_compile() {
- # Build these basic components always, then the individual
- # components can be built as desired (controlled by the USE flags
- # above). The initial components must always be built in order
- # to build some of the optional ones (ORDER MATTERS).
- local mycomponents="gsi-myproxy gsi-openssh gt4-java-ws-core gt4-java-admin gt4-mds gt4-delegation gt4-rft gt4-cas gt4-c-ws-core prews-test globus-gsi-test gt4-replicator gt4-replication-client globus_rendezvous"
-
- # These components are built as part of the original "all:"
- # target. The project INSTALL file specifies that the desired
- # behaviour is to allow building of individual components without
- # building the entire system. Therefore, these should be
- # optional, but ON by default.
- mycomponents="${mycomponents} $(use gridftp && echo gridftp)"
- mycomponents="${mycomponents} $(use prewsgram && echo prewsgram)"
- mycomponents="${mycomponents} $(use rls && echo rls)"
- mycomponents="${mycomponents} $(use wsgram && echo wsgram)"
- mycomponents="${mycomponents} $(use wsmds && echo wsmds)"
- mycomponents="${mycomponents} $(use prews-test && echo prews-test)"
- mycomponents="${mycomponents} $(use wstests && echo wstests)"
- mycomponents="${mycomponents} $(use gridway && echo gridway)"
-
- # These components are strictly optional, and are turned OFF
- # default in the IUSE flags.
- mycomponents="${mycomponents} $(use i18n && echo i18n)"
- mycomponents="${mycomponents} $(use prews && echo prews)"
- mycomponents="${mycomponents} $(use wsjava && echo wsjava)"
- mycomponents="${mycomponents} $(use wsc && echo wsc)"
- mycomponents="${mycomponents} $(use wsdel && echo wsdel)"
- mycomponents="${mycomponents} $(use wsrft && echo wsrft)"
- mycomponents="${mycomponents} $(use wscas && echo wscas)"
- mycomponents="${mycomponents} $(use wsctests && echo wsctests)"
-
- einfo
- einfo "Making components = ${mycomponents}"
- einfo
- emake -j1 ${mycomponents} || die "make failed!"
-}
-
-src_install() {
- einfo "Hand installing..."
- # The supplied Makefile install violates standard practices. The
- # following simulates a "make DESTDIR=${D}" and moves the built
- # programs/files into ${D}
- mv build/* "${D}/" || die "mv failed"
-
- doenvd "${T}"/22globus || die "install env.d/globus died"
- newinitd "${FILESDIR}"/${PN}-init.d globus \
- || die "install env.d/globus died"
-
- insinto "${GLOBUS}/share/extras"
- doins quickstart.html || die "install quickstart.html died"
-
- einfo "linking globus_packages directory"
- dosym gpt/packages ${GLOBUS}/etc/globus_packages \
- || die "generating symbolic link died"
-
- einfo "Updating ownership and permissions..."
- fowners -R globus:globus ${GLOBUS} || die "fowners failed"
-}
-
-pkg_postinst() {
- # The Makefile provided with the package does not respect
- # DESTDIR=${D}, or conventional installs for that matter, and
- # builds directly into the installation directories
- # (i.e. /${GLOBUS}) thus generating access violations. In
- # addition, pkg_postinst assumes that you are done with ${S} so
- # we (re)implement the postinstall phase of the package here so
- # that any assumptions inherent in the Makefile are ignored.
- einfo "running gpt-postinstall"
- GLOBUS_LOCATION="${ROOT}${GLOBUS}" GPT_LOCATION="${ROOT}${GLOBUS}" \
- "${ROOT}${GLOBUS}"/sbin/gpt-postinstall || die "gpt-postinstall failed"
-
- elog "If you wish to configure the optional GAA-based Globus"
- elog "Authorization callouts, run thesetup-globus-gaa-authz-callout"
- elog "setup script."
- elog
- elog "You will have to install a cert file (eg. /etc/grid-security/hostcert.pem)"
- elog "and then re-run setup-globus-gram-job-manager."
-}
-
-pkg_postrm() {
- if ! [[ -e "${ROOT}${GLOBUS}"/bin/globus-start-container ]] && ! has_version sys-cluster/globus-build ; then
- ewarn "Globus builds and installs files into ${GLOBUS}"
- ewarn "after package installation. After uninstalling"
- ewarn "you may want to manually remove all or part of the Globus"
- ewarn "installation directory ${GLOBUS}."
- fi
-}
diff --git a/sys-cluster/globus/metadata.xml b/sys-cluster/globus/metadata.xml
deleted file mode 100644
index f200fcec7..000000000
--- a/sys-cluster/globus/metadata.xml
+++ /dev/null
@@ -1,30 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <herd>maintainer-wanted</herd>
- <longdescription>
- The Globus Toolkit - grid middleware package
- </longdescription>
- <use>
- <flag name='condor'>Condor-G scheduler support</flag>
- <flag name='lsf'>Platform LSF support</flag>
- <flag name='pbs'>Portable Batch System support</flag>
- <flag name='i18n'> Internationalization libraries</flag>
- <flag name='prewsgram'> Pre-webservices GRAM</flag>
- <flag name='gridftp'> GridFTP</flag>
- <flag name='gridway'> GridWay DRMAA Library</flag>
- <flag name='prews'> Pre-WS GRAM, MDS2, and GridFTP</flag>
- <flag name='wsjava'> Java WS Core</flag>
- <flag name='wsc'> C WS core</flag>
- <flag name='wsmds'> MDS4</flag>
- <flag name='wsdel'> Delegation Service</flag>
- <flag name='wsrft'> Reliable File Transfer service</flag>
- <flag name='wsgram'> GRAM4</flag>
- <flag name='wscas'> Community Authorization Service</flag>
- <flag name='wstests'> Tests for java webservices</flag>
- <flag name='wsctests'> Tests for C webservices</flag>
- <flag name='prews-test'> Tests for pre-webservices components</flag>
- <flag name='rls'> Replica Location Service</flag>
- </use>
-</pkgmetadata>
-